#pragma once

// CGpsMap command target

class CGpsMap : public CObject
{
public:
	CGpsMap();
	virtual ~CGpsMap();

	CString	m_sFilename;
	CBitmap	m_bmpMap;
	HBITMAP	m_hbmpMap;
//	float		m_fX1,m_fY1,m_fX2,m_fY2;	// map position
	UINT		m_uScale;		// map scale
	UINT		m_uX,m_uY;		// map start (TopLeft)
	UINT		m_uPosX,m_uPosY;	// current position on map

//double MapX1,MapX2,MapY1,MapY2;
	double m_dLong1,m_dLong2,m_dLat1,m_dLat2;
	double m_dScrnLong,m_dScrnLat;	// screen size in degree

	UINT m_uWidth,m_uHeight;	// bitmap size
	UINT m_uZoomWidth,m_uZoomHeight;	// bitmap size
	double m_dXDegreePix, m_dYDegreePix;	// degrees per pixel
	double m_dZoom;
//	double m_dXZoomDegreePix, m_dYZoomDegreePix;	// zoomed degrees per pixel

int GetFilenamePosition(void);
int LoadBitmap(void);
void ZoomMap(RECT* rectClnt);
int Pos2Screen(POINT * pnt, double lng, double lat);
};


typedef CTypedPtrList<CObList, CGpsMap*> CGpsMapList;	//!< A TypedPtrList of DisplayModels
