// GpsPoint.cpp: implementation of the CGpsPoint class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "embeddedgps.h"
#include "GpsPoint.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CGpsPoint::CGpsPoint()
{

}

CGpsPoint::~CGpsPoint()
{

}

BEGIN_MESSAGE_MAP(CGpsPoint, CStatic)
	//{{AFX_MSG_MAP(CGpsPoint)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
void CGpsPoint::Serialize(CArchive& ar) 
{
	if (ar.IsStoring())
	{	// storing code
		ar << m_fLat;
		ar << m_fLong;
		ar << m_fSpeed;
		ar << m_fAltitude;
		ar << m_fDirection;
		ar << m_fDilution;
		ar <<	hour;
		ar << min;
		ar << second;
		ar << m_strComment;

	}
	else
	{	// loading code
		ar >> m_fLat ;
		ar >>	m_fLong ;
		ar >>	m_fSpeed ;
		ar >>	m_fAltitude ;
		ar >>	m_fDirection ;
		ar >>	m_fDilution;
		ar >>	hour;
		ar >> min;
		ar >> second;
		ar >>	m_strComment ;
	}
}





void CGpsPoint::Write(HANDLE hfile)
{
	CFile file(hfile);

	file.Write(&m_fLat,sizeof(float));
	file.Write(&m_fLong,sizeof(float));
	file.Write(&m_fSpeed,sizeof(float));
	file.Write(&m_fAltitude,sizeof(float));
	file.Write(&m_fDirection,sizeof(float));
	file.Write(&m_fDilution,sizeof(float));
	file.Write(&hour,sizeof(char));
	file.Write(&min,sizeof(char));
	file.Write(&second,sizeof(char));
char buf[6];
		for(int ii=0;ii<m_strComment.GetLength();ii++)
		{
			buf[0] = m_strComment.GetAt(ii);
			file.Write(buf,1);
//		file.Write(pnt->m_strComment.GetBuffer(256),pnt->m_strComment.GetLength()+1);
		}
		buf[0]=0;
		file.Write(buf,1);

}
