// GpsPoint.h: interface for the CGpsPoint class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GPSPOINT_H__7D651DCA_2392_40E3_A407_D90061BA0680__INCLUDED_)
#define AFX_GPSPOINT_H__7D651DCA_2392_40E3_A407_D90061BA0680__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CGpsPoint : public CStatic
{
public:
	CGpsPoint();

	float	m_fLat,m_fLong;
	float m_fAltitude;
	float m_fSpeed;
	float m_fDirection;
	float m_fDilution;

	UCHAR hour,min,second;

	CString m_strComment;

	//{{AFX_VIRTUAL(CGpsPoint)
	public:
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

public:
	void Write(HANDLE file);
	virtual ~CGpsPoint();

protected:
	//{{AFX_MSG(CGpsPoint)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.


typedef CTypedPtrList<CObList, CGpsPoint*> CGpsPointList;	//!< A TypedPtrList of DisplayModels

#endif // !defined(AFX_GPSPOINT_H__7D651DCA_2392_40E3_A407_D90061BA0680__INCLUDED_)
