// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDVIEW_H__3EC84587_A8C7_4BFA_8592_5CB312FD51A1__INCLUDED_)
#define AFX_CHILDVIEW_H__3EC84587_A8C7_4BFA_8592_5CB312FD51A1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:
	CPen m_RedPen,m_DrawPen;
	
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	//UINT m_uY,m_uX;
	//double m_fZoom;
	//double m_dScrnLong,m_dScrnLat;	// screen size in degree

	int m_xMove,m_yMove;
	CPoint m_pntMouseStart;
	UINT m_iMouseX,m_iMouseY;
	BOOL m_bMouseDown;
	CGpsMap	*m_mapCurrent;
	void ShowMap(CPaintDC *dc, CGpsFrame *dat);
	void ShowSat(CPaintDC *dc,CGpsFrame *dat);
	void DrawString(CPaintDC *dc, int fflag, RECT *pr,CString *pstr);
	void ShowTrack(CPaintDC *dc, CGpsFrame *dat);
	void DrawCompass(CPaintDC *dc, int x, int y, int r);
	void ShowCompass(CPaintDC *dc,CGpsFrame *dat);
	void ShowData(CPaintDC *dc,CGpsFrame *dat);
	virtual ~CChildView();

	// Generated message map functions
protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	int PositionMap(void);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__3EC84587_A8C7_4BFA_8592_5CB312FD51A1__INCLUDED_)
