// PocketGpsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GpsTrack.h"
//#include "GpsFrame.h"
//#include "PocketGpsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPocketGpsDlg dialog

CPocketGpsDlg::CPocketGpsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPocketGpsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPocketGpsDlg)
	m_strText = _T("");
	m_strNumber = _T("");
	m_strAltitude = _T("");
	m_strDirection = _T("");
	m_strLatitude = _T("");
	m_strLongitude = _T("");
	m_strSpeed = _T("");
	m_strTime = _T("");
	m_strVariation = _T("");
	m_strSatCnt = _T("");
	m_strDate = _T("");
	m_strKmh = _T("");
	m_strLat2 = _T("");
	m_strLong2 = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_pParent = pParent;
	m_nID = CPocketGpsDlg::IDD;
}

void CPocketGpsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPocketGpsDlg)
	DDX_Text(pDX, IDC_GPSTEXT, m_strText);
	DDX_Text(pDX, IDC_NUMBER, m_strNumber);
	DDX_Text(pDX, IDC_ALTITUDE, m_strAltitude);
	DDX_Text(pDX, IDC_DIRECTION, m_strDirection);
	DDX_Text(pDX, IDC_LATITUDE, m_strLatitude);
	DDX_Text(pDX, IDC_LONGITUDE, m_strLongitude);
	DDX_Text(pDX, IDC_SPEED, m_strSpeed);
	DDX_Text(pDX, IDC_TIME, m_strTime);
	DDX_Text(pDX, IDC_VARIATION, m_strVariation);
	DDX_Text(pDX, IDC_SATCNT, m_strSatCnt);
	DDX_Text(pDX, IDC_DATE, m_strDate);
	DDX_Text(pDX, IDC_KMH, m_strKmh);
	DDX_Text(pDX, IDC_LATITUDE2, m_strLat2);
	DDX_Text(pDX, IDC_LONGITUDE2, m_strLong2);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPocketGpsDlg, CDialog)
	//{{AFX_MSG_MAP(CPocketGpsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPocketGpsDlg message handlers

BOOL CPocketGpsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CenterWindow(GetDesktopWindow());	// center to the hpc screen

	SetForegroundWindow();
//	counter=0;

//	DCB dcb;
	CString s;
	GetDlgItem(IDC_LATITUDE)->SetFont(&theApp.m_fntLargeFont);
	GetDlgItem(IDC_LONGITUDE)->SetFont(&theApp.m_fntLargeFont);
	GetDlgItem(IDC_LATITUDE2)->SetFont(&theApp.m_fntLargeFont);
	GetDlgItem(IDC_LONGITUDE2)->SetFont(&theApp.m_fntLargeFont);
	GetDlgItem(IDC_TIME)->SetFont(&theApp.m_fntLargeFont);
	GetDlgItem(IDC_KMH)->SetFont(&theApp.m_fntLargeFont);
	GetDlgItem(IDC_SPEED)->SetFont(&theApp.m_fntLargeFont);
	GetDlgItem(IDC_DIRECTION)->SetFont(&theApp.m_fntLargeFont);

/*
	hCom = CreateFile( theApp.m_sComName,
	    GENERIC_READ | GENERIC_WRITE,
	    0,    // comm devices must be opened w/exclusive-access 
	    NULL, // no security attributes 
	    OPEN_EXISTING, // comm devices must use OPEN_EXISTING 
	    0,    // not overlapped I/O 
		NULL  // hTemplate must be NULL for comm devices 
		);
	if (hCom == INVALID_HANDLE_VALUE) 
	{
		hCom=NULL;
		s.Format(_T("Kan %s niet openen"),theApp.m_sComName);
		MessageBox(LPCTSTR(s),_T("Error"),MB_OK|MB_SETFOREGROUND);
		return FALSE;
	}
	if (!GetCommState(hCom, &dcb))
	{
		CloseHandle(hCom);
		hCom=NULL;
		s.Format(_T("Kan geen status opvragen"));
		MessageBox(LPCTSTR(s),_T("Error"),MB_OK|MB_SETFOREGROUND);
		return FALSE;
	}
	bufidx=0;
  DCB dcb;
  dcb.DCBlength = sizeof(DCB);
/ *
  ret = FALSE;
  if(GetCommState(hComDev, &dcb))
  {
		dcb.BaudRate          = 57600; //19200;
		dcb.ByteSize          = 8;
		dcb.Parity            = NOPARITY;
		dcb.StopBits          = ONESTOPBIT;
		dcb.fBinary           = 1;
		dcb.fParity           = 0;
		dcb.fErrorChar        = 0;
		dcb.fOutxCtsFlow      = 0;
		dcb.fOutxDsrFlow      = 0;
		dcb.fDtrControl       = DTR_CONTROL_DISABLE;
		dcb.fDsrSensitivity   = 0;
		dcb.fOutX             = 0;
		dcb.fInX              = 0;
		dcb.fNull             = 0; // do not discard null chars!!
		dcb.fRtsControl       = RTS_CONTROL_DISABLE;  // disable for rs232 -> lbus
		dcb.fAbortOnError     = 0;
		//  dcb.fAbortOnError     = 1;
		if (SetCommState(hComDev, &dcb))
			ret = TRUE;
  }

* /	
	dcb.BaudRate = theApp.m_iBaudrate;
	dcb.ByteSize = 8;
	dcb.Parity   = 0;
	dcb.StopBits = 1;
	
	if (!SetCommState(hCom, &dcb))
	{
		CloseHandle(hCom);
		hCom=NULL;
		MessageBox(_T("Kan de poort niet instellen"),_T("OK"),MB_OK|MB_SETFOREGROUND);
		return FALSE;
	}
	time_t osBinaryTime;  // C run-time time (defined in <time.h>)
	osBinaryTime = WCE_FCTN(time) (NULL) ;  // Get the current time from                                              // the operating system.
	CString filename;
	CTime time( osBinaryTime );  //,date;
	filename.Format(_T("GPSLog_%4d-%02d-%02d_%02d%02d.kml"),time.GetYear(),time.GetMonth(),time.GetDay(),
		time.GetHour(),time.GetMinute());
	hLog = CreateFile( filename, //_T("LogFile.txt"),
	    GENERIC_READ | GENERIC_WRITE,
	    0,    // comm devices must be opened w/exclusive-access 
	    NULL, // no security attributes 
	    CREATE_ALWAYS, //OPEN_EXISTING, // comm devices must use OPEN_EXISTING 
	    FILE_ATTRIBUTE_NORMAL,    // not overlapped I/O 
		NULL  // hTemplate must be NULL for comm devices 
		);
	if (hLog == INVALID_HANDLE_VALUE) 
	{
		hLog=NULL;
		s.Format(_T("Kan logfile niet openen"),theApp.m_sComName);
		MessageBox(LPCTSTR(s),_T("Error"),MB_OK|MB_SETFOREGROUND);
		return FALSE;
	}

	GpsData.StartFile(hLog,filename);

	SetTimer(1234,1000,NULL);
*/	
	return TRUE;  // return TRUE  unless you set the focus to a control
}



//DEL void CPocketGpsDlg::OnButton1() 
//DEL {
//DEL 	// TODO: Add your control notification handler code here
//DEL 	m_strText = "";	
//DEL }

//CString TestRec = "$GPRMC,215636.285,V,5912.34,N,00212.34,E,45.6,179.0,280707,2.2,E,N*4D";


//DEL void CPocketGpsDlg::OnTimer(UINT nIDEvent) 
//DEL {
//DEL DWORD dwError;
//DEL COMSTAT cstat;
//DEL char ch;
//DEL CString strframe;
//DEL //int store=FALSE;
//DEL 	if(nIDEvent==1234)
//DEL 	{
//DEL 		SystemIdleTimerReset();						// keep device awake
//DEL 		ClearCommError(hCom,&dwError,&cstat);	// check serial status
//DEL 		if (cstat.cbInQue) 
//DEL 		{
//DEL 			GpsData.FillFlags=0;
//DEL 			GpsData.RmcStatus=0;
//DEL 			GpsData.GgaStatus=0;
//DEL 			do
//DEL 			{
//DEL 				ReadFile(hCom, &ch, 1, &dwError, NULL);
//DEL 				if(ch=='$')		//Start of Frame
//DEL 					bufidx=0;
//DEL 				buffer[bufidx++]=ch;
//DEL 				if(bufidx>1024)
//DEL 					bufidx=0;
//DEL 				if(ch==0x0A)  // LF = END OF FRAME
//DEL 				{
//DEL 					buffer[bufidx-1]=0;
//DEL 					strframe = buffer;
//DEL 					GpsData.AnalyzeFrame(strframe);
//DEL 					bufidx=0;
//DEL 				}
//DEL 				ClearCommError(hCom,&dwError,&cstat);	// check serial status
//DEL 
//DEL 			} while(cstat.cbInQue);
//DEL 
//DEL 		
//DEL 			if(GpsData.FillFlags)
//DEL 			{
//DEL 				if(GpsData.FillFlags & GFF_DATE)
//DEL 					m_strDate.Format(_T("%02d-%02d-%4d"),GpsData.day,GpsData.month,GpsData.year);
//DEL 				if(GpsData.FillFlags & GFF_TIME)
//DEL 				{
//DEL 			//		SetTextColor(GetDlgItem(IDC_TIME)->GetDC()->m_hDC,RGB(32,255,32));
//DEL 					m_strTime.Format(_T("%2d:%02d:%02d"),GpsData.hour,GpsData.min,GpsData.second);
//DEL 				} //else	SetTextColor(GetDlgItem(IDC_TIME)->GetDC()->m_hDC,RGB(255,0,0));
//DEL 
//DEL 			//	if((GpsData.RmcStatus || GpsData.GgaStatus) && counter>59)
//DEL 				if( (GpsData.FillFlags & (GFF_LATITUDE|GFF_LONGITUDE)) == (GFF_LATITUDE|GFF_LONGITUDE) )
//DEL 				{
//DEL 					if((int)counter>(GpsData.Speed>60.0?10:GpsData.Speed>40.0?20:GpsData.Speed>20.0?40:60))
//DEL 					{
//DEL 						GpsData.StoreFrame(hLog);
//DEL 						counter=0;
//DEL 					}
//DEL 
//DEL 					float d,m;
//DEL 					d = GpsData.Latitude;
//DEL 					if(d<0) d=-d;
//DEL 					m=d-(int)d;
//DEL 					m*=60.0;
//DEL 					m_strLatitude.Format(_T("%.0f%.2f'"),d-0.5,m);
//DEL 					m_strLat2.Format(_T("%c"),GpsData.Latitude<0?'S':'N');
//DEL 					d = GpsData.Longitude;
//DEL 					if(d<0) d=-d;
//DEL 					m=d-(int)d;
//DEL 					m*=60.0;
//DEL 					m_strLongitude.Format(_T("%.0f%.2f'"),d-0.5,m);
//DEL 					m_strLong2.Format(_T("%c"),GpsData.Longitude<0?'E':'W');
//DEL 		//			m_strLongitude.Format(_T("%f"),GpsData.Longitude);
//DEL 				}
//DEL 
//DEL 				if(GpsData.FillFlags & GFF_SPEED)
//DEL 				{
//DEL 					m_strSpeed.Format(_T("%.1f"),GpsData.Speed);
//DEL 					m_strKmh.Format(_T("%.1f"),GpsData.Speed*1.8152);
//DEL 				}
//DEL 				if(GpsData.FillFlags & GFF_ALTITUDE)
//DEL 					m_strAltitude.Format(_T("%.1f Mtr"),GpsData.Altitude);
//DEL 				if(GpsData.FillFlags & GFF_DIRECTION)
//DEL 					m_strDirection.Format(_T("%.0f"),GpsData.Direction+0.5);
//DEL 				//if(GpsData.FillFlags & GFF_SATCNT)
//DEL 				//	m_strSatCnt.Format(_T("%d sats"),GpsData.SatCnt);
//DEL 				if(GpsData.FillFlags & GFF_DILUTION)
//DEL 					m_strVariation.Format(_T("%.1f Mtr"),GpsData.Dilution);
//DEL 				UpdateData(FALSE);	
//DEL 			}
//DEL 
//DEL 		}
//DEL 		m_strNumber.Format(_T("%2d Sec %2d Sats %s"),counter++,GpsData.SatCnt,(GpsData.RmcStatus&&GpsData.GgaStatus)?_T("OK"):_T("No signal"));	// time since last store
//DEL 	}
//DEL 	CDialog::OnTimer(nIDEvent);
//DEL }




 /*  RMC - Recommended minimum specific GPS/Transit data
        RMC,225446,A,4916.45,N,12311.12,W,000.5,054.7,191194,020.3,E*68
           225446       Time of fix 22:54:46 UTC
           A            Navigation receiver warning A = OK, V = warning
           4916.45,N    Latitude 49 deg. 16.45 min North
           12311.12,W   Longitude 123 deg. 11.12 min West
           000.5        Speed over ground, Knots
           054.7        Course Made Good, True
           191194       Date of fix  19 November 1994
           020.3,E      Magnetic variation 20.3 deg East
           *68          mandatory checksum
int CPocketGpsDlg::AnalyzeRMC(CString data)
{
int here,f;
int field;
int ok;
CString sF;
	here=0;
	field=0;
	ok=TRUE;
	while( (here=data.Find(_T(","),here))>=0 )
	{
		here++;
		sF = data.Mid(here);
		f = sF.Find(_T(","),0);
		if(f>=0)
			sF=sF.Left(f);
		field++;
	//	if(f==0)
	//		ok=FALSE;
	//	else
		switch(field)
		{
		case 1:		//	UTC of position fix
			m_strTime = sF.Left(2)+_T(":")+sF.Mid(2,2)+_T(":")+sF.Mid(4,2)+_T("  ");
			break;
		case 2:		//	Data status (V=navigation receiver warning)
			if(sF.GetAt(0)=='V')
				ok=FALSE;
			break;
		case 3:		//	Latitude of fix
			if(f)
				m_strLatitude = sF.Left(2)+_T("")+sF.Mid(2)+_T("'");
			break;
		case 4:		//	N or S
			m_strLatitude += sF;
			break;
		case 5:		//	Longitude of fix
			if(f)
				m_strLongitude = sF.Left(3)+_T("")+sF.Mid(3)+_T("'");
			break;
		case 6:		//	E or W
			m_strLongitude += sF;
			break;
		case 7:		//	Speed over ground in knots
			m_strSpeed = sF+" knots";
			break;
		case 8:		//	Track made good in degrees True
			m_strDirection = sF;
			break;
		case 9:		//	UTC date
			m_strTime += sF.Left(2)+_T("-")+sF.Mid(2,2)+_T("-20")+sF.Mid(4,2);
			break;
		case 10:		//	Magnetic variation degrees (Easterly var. subtracts from true course)
			m_strVariation = sF;
			break;
		case 11:		//	E or W
			m_strVariation += sF;
			break;
		}
	}
	return ok;
}
*/

/*
GGA 
$GPGGA,hhmmss.ss,llll.ll,a,yyyyy.yy,a,x,xx,x.x,x.x,M,x.x,M,x.x,xxxx*hh

GGA  = Global Positioning System Fix Data

1    = UTC of Position
2    = Latitude
3    = N or S
4    = Longitude
5    = E or W
6    = GPS quality indicator (0=invalid; 1=GPS fix; 2=Diff. GPS fix)
7    = Number of satellites in use [not those in view]
8    = Horizontal dilution of position
9    = Antenna altitude above/below mean sea level (geoid)
10   = Meters  (Antenna height unit)
11   = Geoidal separation (Diff. between WGS-84 earth ellipsoid and
       mean sea level.  -=geoid is below WGS-84 ellipsoid)
12   = Meters  (Units of geoidal separation)
13   = Age in seconds since last update from diff. reference station
14   = Diff. reference station ID#
15   = Checksum

int CPocketGpsDlg::AnalyzeGGA(CString data)
{
int here,f;
int field;
int ok;
CString sF;
	here=0;
	field=0;
	ok=TRUE;
	while( (here=data.Find(_T(","),here))>=0 )
	{
		here++;
		sF = data.Mid(here);
		f = sF.Find(_T(","),0);
		if(f>=0)
			sF=sF.Left(f);
		field++;
//		if(f==0)
//			ok=FALSE;
//		else
		switch(field)
		{
		case 1:		//	UTC of position fix
			m_strTime = sF.Left(2)+_T(":")+sF.Mid(2,2)+_T(":")+sF.Mid(4,2)+_T("  ");
			break;
		case 2:		//	Latitude of fix
			m_strLatitude = f ? (sF.Left(2)+_T("")+sF.Mid(2)+_T("'")) : "";
			break;
		case 3:		//	N or S
			m_strLatitude += sF;
			break;
		case 4:		//	Longitude of fix
			m_strLongitude = f ? (sF.Left(3)+_T("")+sF.Mid(3)+_T("'")) : "";
			break;
		case 5:		//	E or W
			m_strLongitude += sF;
			break;

		case 6:		//	GPS quality indicator (0=invalid; 1=GPS fix; 2=Diff. GPS fix)
			m_strSatCnt = sF + ", ";
			if(sF.GetAt(0)=='0')
				ok=FALSE;
			break;
		case 7:		//	Number of satellites in use [not those in view]
			m_strSatCnt += sF;
			break;
		case 8:		//	Horizontal dilution of position
			m_strSatCnt += " :"+sF;
			break;
		case 9:		//	Antenna altitude above/below mean sea level (geoid)
			m_strAltitude = sF+"M";
			break;
		case 10:		//	Meters  (Antenna height unit)
//			if(m_strAltitude.GetLength())
//				m_strAltitude += sF;
			break;
		case 11:		//	Geoidal separation (Diff. between WGS-84 earth ellipso
			break;
		case 12:		//	Meters  (Units of geoidal separation)
			break;
		case 13:		//	Age in seconds since last update from diff. 
			break;
		case 14:		//	Diff. reference station ID#
			break;
		}
	}
	return ok;
}
*/

void CPocketGpsDlg::PostNcDestroy() 
{
	// TODO: Add your specialized code here and/or call the base class
//	GpsData.EndFile(hLog);

//	if(hLog) CloseHandle(hLog);
//	if(hCom) CloseHandle(hCom);
//	hLog=NULL;
//	hCom=NULL;
	CDialog::PostNcDestroy();
}

void CPocketGpsDlg::UpdateDialog()
{
CGpsFrame *dat = &theApp.m_GpsData;

		{
			m_strText = dat->m_Buffer;

			if(dat->FillFlags & GFF_DATE)
				m_strDate.Format(_T("%02d-%02d-%4d"),dat->day,dat->month,dat->year);
			if(dat->FillFlags & GFF_TIME)
			{
		//		SetTextColor(GetDlgItem(IDC_TIME)->GetDC()->m_hDC,RGB(32,255,32));
				m_strTime.Format(_T("%2d:%02d:%02d"),dat->hour,dat->min,dat->second);
			} //else	SetTextColor(GetDlgItem(IDC_TIME)->GetDC()->m_hDC,RGB(255,0,0));

		//	if((dat->RmcStatus || dat->GgaStatus) && counter>59)
			if( (dat->FillFlags & (GFF_LATITUDE|GFF_LONGITUDE)) == (GFF_LATITUDE|GFF_LONGITUDE) )
			{/*
				if((int)counter>(dat->Speed>60.0?10:dat->Speed>40.0?20:dat->Speed>20.0?40:60))
				{
					dat->StoreFrame(hLog);
					counter=0;
				}*/

				float d,m;
				d = dat->Latitude;
				if(d<0) d=-d;
				m=d-(int)d;
				m*=60.0;
				m_strLatitude.Format(_T("%.0f%.2f'"),d-0.5,m);
				m_strLat2.Format(_T("%c"),dat->Latitude<0?'S':'N');
				d = dat->Longitude;
				if(d<0) d=-d;
				m=d-(int)d;
				m*=60.0;
				m_strLongitude.Format(_T("%.0f%.2f'"),d-0.5,m);
				m_strLong2.Format(_T("%c"),dat->Longitude<0?'E':'W');
	//			m_strLongitude.Format(_T("%f"),dat->Longitude);
			}

			if(dat->FillFlags & GFF_SPEED)
			{
				m_strSpeed.Format(_T("%.1f"),dat->Speed);
				m_strKmh.Format(_T("%.1f"),dat->Speed*1.8152);
			}
			if(dat->FillFlags & GFF_ALTITUDE)
				m_strAltitude.Format(_T("%.1f Mtr"),dat->Altitude);
			if(dat->FillFlags & GFF_DIRECTION)
				m_strDirection.Format(_T("%.0f"),dat->Direction+0.5);
			//if(dat->FillFlags & GFF_SATCNT)
			//	m_strSatCnt.Format(_T("%d sats"),dat->SatCnt);
			if(dat->FillFlags & GFF_DILUTION)
				m_strVariation.Format(_T("%.1f Mtr"),dat->Dilution);
			UpdateData(FALSE);	
		}

	m_strNumber.Format(_T("%2d Sec %2d Sats %s"),dat->m_SecCounter,dat->SatCnt,(dat->RmcStatus&&dat->GgaStatus)?_T("OK"):_T("No signal"));	// time since last store

}


BOOL CPocketGpsDlg::CreateModeless()
{
	if( CDialog::Create(m_nID, m_pParent)==TRUE &&
		::IsWindow(m_hWnd))
	{
	/*
		CWinPos wp;
		wp.RegistryLoad(theApp.m_hRegistryKey, REGVALUE_WP_NUMKEY);
		wp.SetPos(this);		
		SetWindowPos(&wndTop, wp.rect.left,wp.rect.top,
			0,0,SWP_NOSIZE);//|SWP_NOMOVE);
	*/	
		return TRUE;
	}
	return FALSE;

}
