// Registry.h: interface for the CRegistry class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REGISTRY_H__A1643CD8_F17D_4837_9E97_11084FBE42A0__INCLUDED_)
#define AFX_REGISTRY_H__A1643CD8_F17D_4837_9E97_11084FBE42A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//!	CRegistry class
/*!
	This class supplies HKEY_LOCAL_MACHINE Registry functions\n
*/
class CRegistry  
{
public:
	CRegistry(HKEY mainkey, TCHAR *subkey);
	virtual ~CRegistry();

	HKEY m_hRegistryKey;		//!< key to \HKLM\...\Infoview\...

	int GetInt(TCHAR *szName, int def);	//!<	Read int from registry 
	BOOL SetInt(TCHAR *szName, int def);	//!<	Write int to registry
//	BOOL SetRegistryBin(byte *pData, int len);	//!<	Write binary to registry
	BOOL GetString(CString *dest, TCHAR *szName, TCHAR *def); //!< Read string from registry
	int SetString(TCHAR *szName, TCHAR *def);	//!< Write string to registry
	CTime GetRegistryDate(TCHAR *szName, CTime *def);

};

#endif // !defined(AFX_REGISTRY_H__A1643CD8_F17D_4837_9E97_11084FBE42A0__INCLUDED_)
